import request from '@/utils/request'

// 查询入库单据列表
export function listWarehouse(query) {
  return request({
    url: '/wisdom/warehouse/list',
    method: 'get',
    params: query
  })
}

// 查询入库单据详细
export function getWarehouse(id) {
  return request({
    url: '/wisdom/warehouse/' + id,
    method: 'get'
  })
}

// 新增入库单据
export function addWarehouse(data) {
  return request({
    url: '/wisdom/warehouse',
    method: 'post',
    data: data
  })
}

// 修改入库单据
export function updateWarehouse(data) {
  return request({
    url: '/wisdom/warehouse',
    method: 'put',
    data: data
  })
}

// 删除入库单据
export function delWarehouse(id) {
  return request({
    url: '/wisdom/warehouse/' + id,
    method: 'delete'
  })
}
